#
# spec file for package xprop
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xprop
Version:        1.2.4
Release:        1.1
Summary:        Property displayer for X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xprop displays window and font properties of an X server.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xprop
%{_mandir}/man1/xprop.1%{?ext_man}

%changelog
* Sun Mar 10 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.2.4
  * Add missing braces around else clause in Read_Quoted()
  * Fix -Wsign-compare warning in dsimple.c
  * Fix typo in xprop.man
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.2.3
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Print which option was in error along with usage message
  * Add -version option to print program version
  * Free the thunks used by Show_Prop
  * Free the data returned by XListProperties()
  * Free the data returned by XGetWindowProperty()
  * Free the data returned by Format_Icons()
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Tue Aug 13 2013 zaitor@opensuse.org
- Update to version 1.2.2:
  + Mark usage() as noreturn, as suggested by gcc
  - Wmissing-noreturn.
  + Fix const conversion warnings from gcc.
  + Add unicode argument to Format_Len_String to reduce code
    duplication.
  + Replace strlen/malloc/memcpy set with strdup.
  + Mark FatalError() as taking printf-style arguments.
  + config: Add missing AC_CONFIG_SRCDIR.
  + Enable setting property of type UTF8_STRING.
  + Expand description in README a little.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.2.1:
  + Improves the man page.
  + Fixes issues found by static code analysis
  + Other cleanups to the code
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: New dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xprop from xorg-x11. Initial version: 1.2.0.
